Skip to main content
GET
/
cfs-contacts
Get All Contacts
curl --request GET \
  --url https://api.swoogo.com/api/v1/cfs-contacts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "event_id": 108026,
      "contact_id": 19904840,
      "submitter": true,
      "reviewer": true,
      "created_at": "2023-04-21 15:46:23",
      "updated_at": "2023-04-21 15:47:37"
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.swoogo.com/api/v1/cfs-contacts?event_id=108026&fields=contact_id%2Cevent_id%2Csubmitter%2Creviewer%2Csubmitter_role%2Cuser_role_id%2Ccreated_at%2Ccreated_by%2Cupdated_at%2Cupdated_by%2Cdeleted%2Csecure_id&search=reviewer%3Dtrue&page=1"
    },
    "first": {
      "href": "https://api.swoogo.com/api/v1/cfs-contacts?event_id=108026&fields=contact_id%2Cevent_id%2Csubmitter%2Creviewer%2Csubmitter_role%2Cuser_role_id%2Ccreated_at%2Ccreated_by%2Cupdated_at%2Cupdated_by%2Cdeleted%2Csecure_id&search=reviewer%3Dtrue&page=1"
    },
    "last": {
      "href": "https://api.swoogo.com/api/v1/cfs-contacts?event_id=108026&fields=contact_id%2Cevent_id%2Csubmitter%2Creviewer%2Csubmitter_role%2Cuser_role_id%2Ccreated_at%2Ccreated_by%2Cupdated_at%2Cupdated_by%2Cdeleted%2Csecure_id&search=reviewer%3Dtrue&page=1"
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

event_id
integer
required

integer - required - The ID of the event you want to retrieve contacts for

Example:

1

fields
string
required

string - optional - Comma separated list of fields you want to return

Example:

"contact_id,created_at,event_id,id,language,reviewer,submitter,updated_at"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"reviewer=true"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

Example:

"event_id"

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Response

Response containing CFS contacts information.

items
object[]
_meta
object